Bug 13749 - On loading holds in patron account 'processing' is not translatable
Summary: On loading holds in patron account 'processing' is not translatable
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-22 10:21 UTC by Katrin Fischer
Modified: 2019-12-12 00:00 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 13749: On loading holds in patron account 'processing' is not translatable (3.37 KB, patch)
2019-10-08 17:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 13749: On loading holds in patron account 'processing' is not translatable (3.42 KB, patch)
2019-11-02 12:05 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 13749: On loading holds in patron account 'processing' is not translatable (3.49 KB, patch)
2019-11-07 11:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-22 10:21:50 UTC
The message shown while loading holds in the patron account "Processing..." is not translatable.
Comment 1 Katrin Fischer 2015-02-22 10:28:00 UTC
This is also true for the 'Loading...' shown directly inside the table.

I tried looking at the code, but not sure why some strings appear to work and others not. Could someone else take a look?
Comment 2 Marc Véron 2015-02-24 15:22:10 UTC
Just a guess:

git grep 'Loading\.\.\.'

The (long) result list contains following files. I have the impression that they are not translated.

koha-tmpl/intranet-tmpl/lib/jquery/plugins/jquery.dataTables.min.js
koha-tmpl/opac-tmpl/lib/jquery/plugins/jquery.dataTables.min.js
koha-tmpl/intranet-tmpl/lib/jquery/plugins/jquery.jeditable.mini.js
Comment 3 Owen Leonard 2019-10-08 17:58:45 UTC
Created attachment 93889 [details] [review]
Bug 13749: On loading holds in patron account 'processing' is not translatable

This patch updates the DataTables configuration for two tables: The
checkouts and holds lists shown on the checkout and patron details
screen.

The tables lacked the standard application of a custom set of
defaults defined in js/datatables.js. It is in this file that custom
language strings are defined for DataTable interface elements, pulling
in the translated values from datatables.inc.

Without our custom defaults applied, DataTables used its own defaults,
which are not translated.

To test, apply the patch and check out to a patron who has both
checkouts and holds. The more the better to give you more time to
observer the loading state of the tables.

 - Checkouts: This table doesn't exhibit any visible problems because
   page-specific text is defined for the table's "Loading" message.
   However, it still makes sense to apply the defaults to the table for
   consistency's sake. There should be no visible changes to the table.

 - Holds: From the checkout or patron details page click the "Holds"
   tab. While the table loads there should be a "Processing" message. If
   you switch to another translation the message should appear in that
   language.
Comment 4 Katrin Fischer 2019-11-02 12:05:57 UTC
Created attachment 94964 [details] [review]
Bug 13749: On loading holds in patron account 'processing' is not translatable

This patch updates the DataTables configuration for two tables: The
checkouts and holds lists shown on the checkout and patron details
screen.

The tables lacked the standard application of a custom set of
defaults defined in js/datatables.js. It is in this file that custom
language strings are defined for DataTable interface elements, pulling
in the translated values from datatables.inc.

Without our custom defaults applied, DataTables used its own defaults,
which are not translated.

To test, apply the patch and check out to a patron who has both
checkouts and holds. The more the better to give you more time to
observer the loading state of the tables.

 - Checkouts: This table doesn't exhibit any visible problems because
   page-specific text is defined for the table's "Loading" message.
   However, it still makes sense to apply the defaults to the table for
   consistency's sake. There should be no visible changes to the table.

 - Holds: From the checkout or patron details page click the "Holds"
   tab. While the table loads there should be a "Processing" message. If
   you switch to another translation the message should appear in that
   language.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2019-11-02 12:06:15 UTC
Thx, Owen!
Comment 6 Jonathan Druart 2019-11-07 11:01:02 UTC
Created attachment 95139 [details] [review]
Bug 13749: On loading holds in patron account 'processing' is not translatable

This patch updates the DataTables configuration for two tables: The
checkouts and holds lists shown on the checkout and patron details
screen.

The tables lacked the standard application of a custom set of
defaults defined in js/datatables.js. It is in this file that custom
language strings are defined for DataTable interface elements, pulling
in the translated values from datatables.inc.

Without our custom defaults applied, DataTables used its own defaults,
which are not translated.

To test, apply the patch and check out to a patron who has both
checkouts and holds. The more the better to give you more time to
observer the loading state of the tables.

 - Checkouts: This table doesn't exhibit any visible problems because
   page-specific text is defined for the table's "Loading" message.
   However, it still makes sense to apply the defaults to the table for
   consistency's sake. There should be no visible changes to the table.

 - Holds: From the checkout or patron details page click the "Holds"
   tab. While the table loads there should be a "Processing" message. If
   you switch to another translation the message should appear in that
   language.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Jonathan Druart 2019-11-07 11:01:46 UTC
It does not appear on moremember, any ideas why?
Comment 8 Martin Renvoize 2019-11-07 13:27:05 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Lucas Gass 2019-12-12 00:00:22 UTC
backported to 19.05.x for 19.05.06